%define upstream_name	 Class-Factory-Util
%define upstream_version 1.7

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Provide utility methods for factory classes
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:  perl(Module::Build)

BuildArch:	noarch

%description
This module exports a method that is useful for factory classes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes
%{perl_vendorlib}/Class/*
%{_mandir}/*/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.700.0-10.mga9
+ Revision: 1802436
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.700.0-9.mga8
+ Revision: 1493539
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.700.0-8.mga7
+ Revision: 1266317
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.700.0-7.mga6
+ Revision: 1023965
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.700.0-6.mga6
+ Revision: 947392
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.700.0-5.mga5
+ Revision: 746594
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.700.0-4.mga5
+ Revision: 683912
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.700.0-3.mga4
+ Revision: 510138
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.700.0-2.mga3
+ Revision: 364352
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.700.0-1.mga1
+ Revision: 9985
- imported package perl-Class-Factory-Util


* Sat Feb 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.700.0-1mdv2010.1
+ Revision: 505428
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.7-4mdv2010.0
+ Revision: 430328
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.7-3mdv2009.0
+ Revision: 241185
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Apr 29 2007 Olivier Thauvin <nanardon@mandriva.org> 1.7-1mdv2008.0
+ Revision: 19314
- 1.7


* Fri Mar 31 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.6-2mdk
- Rebuild

* Wed Aug 25 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.6-1mdk
- Initial MDK release.

